Skip to main content
PATCH
Update credential provider

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Credential provider ID

Body

application/json

Request to update a credential provider

cache_ttl_seconds
integer

How long to cache credential lists

Example:

300

enabled
boolean

Whether the provider is enabled for credential lookups

Example:

true

name
string

Human-readable name for this provider instance. Surrounding whitespace is trimmed and the trimmed value must be non-empty.

Minimum string length: 1
Pattern: \S
Example:

"my-1password"

priority
integer

Priority order for credential lookups (lower numbers are checked first)

Example:

0

token
string

New service account token (to rotate credentials)

Example:

"ops_eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..."

Response

Credential provider updated successfully

An external credential provider (e.g., 1Password) for automatic credential lookup

created_at
string<date-time>
required

When the credential provider was created

Example:

"2025-01-15T10:30:00Z"

enabled
boolean
required

Whether the provider is enabled for credential lookups

Example:

true

id
string
required

Unique identifier for the credential provider

Example:

"credprov_abc123xyz"

name
string
required

Human-readable name for this provider instance

Example:

"my-1password"

priority
integer
required

Priority order for credential lookups (lower numbers are checked first)

Example:

0

provider_type
enum<string>
required

Type of credential provider

Available options:
onepassword
Example:

"onepassword"

updated_at
string<date-time>
required

When the credential provider was last updated

Example:

"2025-01-15T10:30:00Z"